opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cv::SparseMatIterator Class Reference

`#include <core.hpp>`

Inheritance diagram for cv::SparseMatIterator:

## Public Member Functions

SparseMat::Node * | node () const
| returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!)
SparseMatIterator & | operator++ ()
| moves iterator to the next element
SparseMatIterator | operator++ (int)
| moves iterator to the next element
SparseMatIterator & | operator= (const SparseMatIterator &it)
| the assignment operator
| SparseMatIterator ()
| the default constructor
| SparseMatIterator (SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatIterator (SparseMat *_m, const int *idx)
| the full constructor setting the iterator to the specified sparse matrix element
| SparseMatIterator (const SparseMatIterator &it)
| the copy constructor
template<typename _Tp >
_Tp & | value () const
| returns read-write reference to the current sparse matrix element
Public Member Functions inherited from cv::SparseMatConstIterator
const SparseMat::Node * | node () const
| returns the current node of the sparse matrix. it.node->idx is the current element index
SparseMatConstIterator & | operator++ ()
| moves iterator to the next element
SparseMatConstIterator | operator++ (int)
| moves iterator to the next element
SparseMatConstIterator & | operator-- ()
| moves iterator to the previous element
SparseMatConstIterator | operator-- (int)
| moves iterator to the previous element
SparseMatConstIterator & | operator= (const SparseMatConstIterator &it)
| the assignment operator
void | seekEnd ()
| moves iterator to the element after the last element
| SparseMatConstIterator ()
| the default constructor
| SparseMatConstIterator (const SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatConstIterator (const SparseMatConstIterator &it)
| the copy constructor
template<typename _Tp >
const _Tp & | value () const
| template method returning the current matrix element

## Additional Inherited Members

Public Attributes inherited from cv::SparseMatConstIterator
size_t | hashidx
const SparseMat * | m
uchar * | ptr

## Detailed Description

Read-write Sparse Matrix Iterator

The class is similar to cv::SparseMatConstIterator, but can be used for in-place modification of the matrix elements.

## Constructor & Destructor Documentation

cv::SparseMatIterator::SparseMatIterator | ( |  | ) |

inline

the default constructor

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m | ) |

inline

the full constructor setting the iterator to the first sparse matrix element

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m,
|  | const int * | idx
| ) |  |

the full constructor setting the iterator to the specified sparse matrix element

cv::SparseMatIterator::SparseMatIterator | ( | const SparseMatIterator & | it | ) |

inline

the copy constructor

## Member Function Documentation

SparseMat::Node * cv::SparseMatIterator::node | ( |  | ) | const

inline

returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!)

SparseMatIterator & cv::SparseMatIterator::operator++ | ( |  | ) |

inline

moves iterator to the next element

SparseMatIterator cv::SparseMatIterator::operator++ | ( | int |  | ) |

inline

moves iterator to the next element

SparseMatIterator & cv::SparseMatIterator::operator= | ( | const SparseMatIterator & | it | ) |

inline

the assignment operator

template<typename _Tp >

_Tp & cv::SparseMatIterator::value | ( |  | ) | const

inline

returns read-write reference to the current sparse matrix element

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp